// ---------------------------------------------------------------------
// JavaORB 2.0
//
//                        Object by value Tutorial
//
// Step 1 / Using simple value type
// ---------------------------------------------------------------------

/**
 * This class is the implementation of ValueExchange interface. pe.
 * 
 * @author	Jerome DANIEL
 * @version	1.0
 */
public class ValueExchangeImpl extends _ValueExchangeImplBase
{
	/**
	 * Reference to the value type
	 */
	private valueExample value;
	
	/**
	 * Reference to the TIE object
	 */
	private ExampleImpl object;
	
	/**
	 * Constructor
	 */
	public ValueExchangeImpl( org.omg.CORBA.BOA boa )
	{
		// Create value type
		value = new valueExampleImpl();
		value.name_state = "My is is value";
		
		// Create the object
		object = new ExampleImpl();
		
		// Connect and activate this object
		boa.connect( object );
		boa.obj_is_ready( object );		
	}
	
	/**
	 * Operation getInterface
	 */
	public AnAbstractInterface getInterface(boolean byValue)
	{
		if ( byValue )
			return value;
		else
			return object;
	}
}