//
// Interface definition : FileDescriptor
//
// @author JavaORB Compiler
//
public abstract class FileDescriptorPOA extends org.omg.PortableServer.Servant
		implements FileDescriptorOperations, org.omg.CORBA.portable.InvokeHandler
{
	public FileDescriptor _this()
	{
		return FileDescriptorHelper.narrow(_this_object());
	}

	public FileDescriptor _this( org.omg.CORBA.ORB orb )
	{
		return FileDescriptorHelper.narrow(_this_object(orb));
	}

	private static String [] _ids_list =
	{
		"IDL:FileDescriptor:1.0"
	};

	public String[] _all_interfaces( org.omg.PortableServer.POA poa, byte [] objectId)
	{
		return _ids_list;
	}

	public org.omg.CORBA.portable.OutputStream _invoke ( String opName,
	                                                     org.omg.CORBA.portable.InputStream _is,
	                                                     org.omg.CORBA.portable.ResponseHandler handler)
	{
		org.omg.CORBA.portable.OutputStream _output = null;

		if ( opName.equals("write") )
		{
			byte[] arg0_in = FileDescriptorPackage.DataBufferHelper.read(_is);

			int _arg_result = write(arg0_in);

			_output = handler.createReply();
			_output.write_long(_arg_result);

			return _output;
		}
		else
		if ( opName.equals("read") )
		{
			int arg0_in = _is.read_long();

			byte[] _arg_result = read(arg0_in);

			_output = handler.createReply();
			FileDescriptorPackage.DataBufferHelper.write(_output,_arg_result);

			return _output;
		}
		else
		if ( opName.equals("destroy") )
		{

			destroy();

			_output = handler.createReply();

			return _output;
		}
		else
			throw new org.omg.CORBA.BAD_OPERATION();
	}
}
