package FileDescriptorPackage;

//
// Holder class for : DataBuffer
//
// @author JavaORB Compiler
//
public class DataBufferHolder implements org.omg.CORBA.portable.Streamable
{
	//
	// Internal DataBuffer value
	//
	public byte[] value;

	//
	// Default constructor
	//
	public DataBufferHolder()
	{ }

	//
	// Constructor with value initialisation
	// @param	initial	the initial value
	//
	public DataBufferHolder( byte[] initial )
	{
		value = initial;
	}

	//
	// Read DataBuffer from a marshalled stream
	// @param	istream the input stream
	//
	public void _read( org.omg.CORBA.portable.InputStream istream )
	{
		value = DataBufferHelper.read(istream);
	}

	//
	// Write DataBuffer into a marshalled stream
	// @param	ostream the output stream
	//
	public void _write( org.omg.CORBA.portable.OutputStream ostream )
	{
		DataBufferHelper.write(ostream,value);
	}

	//
	// Return the DataBuffer TypeCode
	// @return a TypeCode
	//
	public org.omg.CORBA.TypeCode _type()
	{
		return DataBufferHelper.type();
	}

}
