//
// Interface definition : FileDescriptor
//
// @author JavaORB Compiler
//
public class _FileDescriptorStub extends org.omg.CORBA.portable.ObjectImpl
		implements FileDescriptor
{
	static final String[] _ids_list =
	{
		"IDL:FileDescriptor:1.0"
	};

	public String[] _ids()
	{
		return _ids_list;
	}

	final public static java.lang.Class _opsClass = FileDescriptorOperations.class;

	//
	// Operation write
	//
	public int write(byte[] buffer)
	{
		while( true )
		{
			if (!this._is_local() )
			{
				org.omg.CORBA.portable.InputStream _input = null;
				try
				{
					org.omg.CORBA.portable.OutputStream _output = this._request("write",true);
					FileDescriptorPackage.DataBufferHelper.write(_output,buffer);
					_input = this._invoke(_output);
					int _arg_ret = _input.read_long();
					return _arg_ret;
				}
				catch( org.omg.CORBA.portable.RemarshalException _exception )
				{
					continue;
				}
				catch( org.omg.CORBA.portable.ApplicationException _exception )
				{
					java.lang.String _exception_id = _exception.getId();
					throw new org.omg.CORBA.UNKNOWN("Unexcepected User Exception: "+ _exception_id);
				}
				finally
				{
					this._releaseReply(_input);
				}
			}
			else
			{
				org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("write",_opsClass);
				if ( _so == null )
				   continue;
				FileDescriptorOperations _self = ( FileDescriptorOperations ) _so.servant;
				try
				{
					return _self.write( buffer);
				}
				finally
				{
					_servant_postinvoke(_so);
				}
			}
		}
	}

	//
	// Operation read
	//
	public byte[] read(int num_bytes)
	{
		while( true )
		{
			if (!this._is_local() )
			{
				org.omg.CORBA.portable.InputStream _input = null;
				try
				{
					org.omg.CORBA.portable.OutputStream _output = this._request("read",true);
					_output.write_long(num_bytes);
					_input = this._invoke(_output);
					byte[] _arg_ret = FileDescriptorPackage.DataBufferHelper.read(_input);
					return _arg_ret;
				}
				catch( org.omg.CORBA.portable.RemarshalException _exception )
				{
					continue;
				}
				catch( org.omg.CORBA.portable.ApplicationException _exception )
				{
					java.lang.String _exception_id = _exception.getId();
					throw new org.omg.CORBA.UNKNOWN("Unexcepected User Exception: "+ _exception_id);
				}
				finally
				{
					this._releaseReply(_input);
				}
			}
			else
			{
				org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("read",_opsClass);
				if ( _so == null )
				   continue;
				FileDescriptorOperations _self = ( FileDescriptorOperations ) _so.servant;
				try
				{
					return _self.read( num_bytes);
				}
				finally
				{
					_servant_postinvoke(_so);
				}
			}
		}
	}

	//
	// Operation destroy
	//
	public void destroy()
	{
		while( true )
		{
			if (!this._is_local() )
			{
				org.omg.CORBA.portable.InputStream _input = null;
				try
				{
					org.omg.CORBA.portable.OutputStream _output = this._request("destroy",true);
					_input = this._invoke(_output);
					return;
				}
				catch( org.omg.CORBA.portable.RemarshalException _exception )
				{
					continue;
				}
				catch( org.omg.CORBA.portable.ApplicationException _exception )
				{
					java.lang.String _exception_id = _exception.getId();
					throw new org.omg.CORBA.UNKNOWN("Unexcepected User Exception: "+ _exception_id);
				}
				finally
				{
					this._releaseReply(_input);
				}
			}
			else
			{
				org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("destroy",_opsClass);
				if ( _so == null )
				   continue;
				FileDescriptorOperations _self = ( FileDescriptorOperations ) _so.servant;
				try
				{
					_self.destroy();
					return;
				}
				finally
				{
					_servant_postinvoke(_so);
				}
			}
		}
	}

}
