public class Client
{
	public static void main( String args[] )
	{		
		org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init(args,null);

		myMessageInterceptor interceptor = new myMessageInterceptor();
		
		JavaORB.CORBA.MessageInterceptorManager manager = ((JavaORB.CORBA.ORBSingleton)orb).getMessageInterceptorManager();
		
		manager.addInterceptor( interceptor );

		print p = null;
		org.omg.CORBA.Object obj = null;
		try
		{			
			java.io.FileInputStream file = new java.io.FileInputStream("ObjectId");
			java.io.DataInputStream myInput = new java.io.DataInputStream(file);
			String stringTarget = myInput.readLine();
			
			obj = orb.string_to_object(stringTarget);

		}
		catch ( java.io.IOException ex )
		{
			System.out.println("File error");
			System.exit(0);
		}

		p = printHelper.narrow(obj);		

		try
		{
			p.printMsg("Hello from client side...");
		}
		catch ( org.omg.CORBA.SystemException ex )
		{
			System.out.println("A CORBA System exception has been intercepted");
			ex.printStackTrace();
		}

	}
}