public class Server
{
	public static void main( String [] args )
	{
		org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init(args, null);				
		
		myRequestInterceptor interceptor = new myRequestInterceptor();
		
		JavaORB.CORBA.RequestInterceptorManager manager = ((JavaORB.CORBA.ORBSingleton)orb).getRequestInterceptorManager();
		
		manager.addInterceptor( interceptor );
		
		org.omg.CORBA.BOA boa = org.omg.CORBA.BOA.init(orb, args);
		
		printImpl p = new printImpl();
		
		boa.connect( p );
		boa.obj_is_ready( p );
		
		String reference = orb.object_to_string(p);
		try
		{
			java.io.FileOutputStream file = new java.io.FileOutputStream("ObjectId");
			java.io.PrintStream pfile=new java.io.PrintStream(file);
			pfile.println(reference);
		}
		catch ( java.io.IOException ex )
		{
			System.out.println("File error");
		}
		
		try
		{
			System.out.println("Server is ready...");
			boa.impl_is_ready();
		}
		catch ( java.lang.Exception ex )
		{
			ex.printStackTrace();
		}
	}
}